> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Seniority to Position

> Assigns a seniority level to a user position in your COR instance

Assigns a seniority level to a user position in your COR instance. Both the position and seniority must have been previously created through the integrations API.

## Path Parameters

<ParamField path="position_id" type="string" required>
  External position ID that was used when creating the position
</ParamField>

<ParamField path="seniority_id" type="string" required>
  External seniority ID that was used when creating the seniority
</ParamField>

## Request Body Requirements

<ParamField body="metadata" type="object" required>
  <Expandable title="properties">
    <ParamField body="source" type="string" required>
      Integration source identifier
    </ParamField>
  </Expandable>
</ParamField>

## Known Errors

* `ZC002` — User position not found. The specified position or seniority does not exist in the integration mappings

<RequestExample>
  ```bash cURL theme={null}
  curl --location 'https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
    "metadata": {
      "source": "GLOBANT"
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  url = "https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10"

  payload = {
      "metadata": {
          "source": "GLOBANT"
      }
  }

  headers = {
      "Authorization": "Bearer YOUR_ACCESS_TOKEN",
      "Content-Type": "application/json"
  }

  response = requests.post(url, json=payload, headers=headers)
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10',
    {
      method: 'POST',
      headers: {
        'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        metadata: {
          source: 'GLOBANT'
        }
      })
    }
  );

  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "statusCode": 200,
    "status": "success",
    "data": {
      "name": "Software Developer",
      "seniority": "Ssr.",
      "company_id": 2336,
      "created_at": "2026-01-26 15:27:04",
      "updated_at": "2026-01-26 15:27:04"
    }
  }
  ```

  ```json 400 - Position not found theme={null}
  {
    "status": "ERROR",
    "code": "ZC002",
    "message": "User position not found"
  }
  ```

  ```json 400 - Seniority not found theme={null}
  {
    "status": "ERROR",
    "code": "ZC002",
    "message": "Seniority not found"
  }
  ```
</ResponseExample>
